Bug 182582 - CVE-2006-0195 Possible XSS in MagicHTML (IE only)
Summary: CVE-2006-0195 Possible XSS in MagicHTML (IE only)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: source=secunia,reported=20060222,publ...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-23 14:56 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.4.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 15:59:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-02-23 14:56:45 UTC
Possible XSS in MagicHTML (IE only)
http://www.squirrelmail.org/security/issue/2006-02-10

(Text taken from the above URL)
The MagicHTML filter for incoming HTML email did not correctly
disregard comments (/* */) inserted in style sheets ("u/* */rl"). It
also accepted "u\rl" as "url" in styles. These allow a malicious user         to break the privacy of the user by having them request an item from a
remote site when reading the mail. This happens only in browsers that
parse this invalid style, only one known is Internet Explorer.

source=secunia,reported=20060222,public=20060210

Comment 1 Fedora Update System 2006-03-03 20:25:17 UTC
From User-Agent: XML-RPC

squirrelmail-1.4.6-1.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 2 Warren Togami 2006-06-07 15:59:34 UTC
Not sure why this wasn't closed earlier.


Note You need to log in before you can comment on or make changes to this bug.